Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.xds.metadata.extract
Interface MetadataExtractionStatus

    public interface MetadataExtractionStatus

Status messages for metadata extraction

Author:
  Sarah Knoop

Field Summary
`static java.lang.String` | `INVALID_DATA_SOURCE` Status indicating that source infomation is invalid, therefore the extraction process cannot complete for one or more metadata values possibly resulting in missing metadata values.
`static java.lang.String` | `INVALID_VOCAB` Status indicating source infomation data could not be found or translated to the target vocabulary of XDS metadata.
`static java.lang.String` | `MISSING_DATA_SOURCE` Status indicating that anticipated source infomation is missing, therefore more than one metadata value will be absent.
`static java.lang.String` | `MISSING_DATA_VALUE` Status indicating that anticipated source infomation is missing, therefore exactly one metadata value will be absent.

Field Detail

### MISSING_DATA_SOURCE

    static final java.lang.String MISSING_DATA_SOURCE

  Status indicating that anticipated source infomation is missing, therefore more than one metadata value will be absent.

  See Also:
    Constant Field Values

### MISSING_DATA_VALUE

    static final java.lang.String MISSING_DATA_VALUE

  Status indicating that anticipated source infomation is missing, therefore exactly one metadata value will be absent.

  See Also:
    Constant Field Values

### INVALID_DATA_SOURCE

    static final java.lang.String INVALID_DATA_SOURCE

  Status indicating that source infomation is invalid, therefore the extraction process cannot complete for one or more metadata values possibly resulting in missing metadata values.

  See Also:
    Constant Field Values

### INVALID_VOCAB

    static final java.lang.String INVALID_VOCAB

  Status indicating source infomation data could not be found or translated to the target vocabulary of XDS metadata.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD